Album: Sburban Jungle (Cover)
Directory: sburban-jungle-cover-omari-a-tidemere
Style: single
Date: January 4, 2025
Artists:
- Omari A. Tidemere
Color: '#0ba400'
URLs:
- https://symphonyoftidemere.bandcamp.com/track/sburban-jungle-cover
- https://www.youtube.com/watch?v=kjK2D5sdSIU
Cover Artists:
- Omari A. Tidemere
Cover Art Dimensions: 3200x2400
Cover Art File Extension: png
Art Tags:
- Gate
---
Track: Sburban Jungle (Cover)
Directory: sburban-jungle-cover-omari-a-tidemere
Duration: 1:47
Referenced Tracks:
- Sburban Jungle (Brief Mix)
Crediting Sources: |-
    <i>Omari A. Tidemere:</i> ([Bandcamp blurb](https://symphonyoftidemere.bandcamp.com/track/sburban-jungle-cover))

    Instrumental, Production, Mixing/Mastering: Omari A. Tidemere<br>
    [[artist:michael-guy-bowman]] [[track:sburban-jungle|(original arrangement)]]
